Subject: Re: bug#19662: 24.4: history bloat and navigation trouble

From: Boruch Baum <[email-masked]>
Date: Mon, 26 Jan 2015 01:29:36 -0500

On 01/25/2015 09:04 PM, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
> 
>> No. What ends up happening is that the sequence of the history list is
>> preserved, so you can always go back to B. It has the advantage of
>> reducing bloat, and if one scrolls through history much, that bloat can
>> be great.
>>
>> I can see two uses for a history:
>> 1] a log of the sequence in which pages were visited;
>> 2] a list of visited places, in original sequence order.
>>
>> For me, #2 is far and away more useful.
> 
> The current history implementation also preserves the point position,
> which is probably different in each frame.  Which may or may not be
> helpful.
> 
> I agree that the current way of recording the history may be overkill,
> but I've also found it very handy because it's so predictable.  <back>
> <back> always, without fail, takes you back to the page you were at two
> commands ago, no matter what the command was...
> 
>> One problem with the current eww implementation is that once one does
>> something like A B C D C B, it becomes difficult to get to E using
>> commands l/r
> 
> Where is E in that sequence of pages?
> 
That's kind of the point, it would have been historically before D.

-- 
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0